  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper page-detail">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            {{title}}
            <small></small>
          </h1>
          <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
                <li class="breadcrumb-item ">
                        <a href="" routerLink="/shipment/list"> List</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Shipment detail</li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
          <div class="row">
              <div class="col-xs-12">
                    <div *ngIf="shipment.ref; else not_fountShipment" class="row">
                            <div class="info-sender col-sm-4">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        Info Sender
                                    </div>
                                    <div class="panel-body">
                                        <p><b>Sender Name:</b> {{shipment.origin.contact.name }}</p>
                                        <p><b>Sender Email:</b> {{shipment.origin.contact.email }}</p>
                                        <p><b>Sender Phone:</b> {{shipment.origin.contact.phone }}</p>
                                        <p><b>From:</b> {{shipment.origin.address.address_line1 }}
                                            - {{shipment.origin.address.locality }}</p>
                                        <p><b>Country code:</b> {{shipment.origin.address.country_code }} </p>
                                        <p><b>Postal code:</b> {{shipment.origin.address.postal_code }} </p>
                                    </div>
                                </div>
                            </div>
                            <div class="info-reciver col-sm-4">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        Info Receiver
                                    </div>
                                    <div class="panel-body">
                                        <p><b>Receiver Name:</b>  {{shipment.destination.contact.name }}</p>
                                        <p><b>Receiver Email:</b>  {{shipment.destination.contact.email }}</p>
                                        <p><b>Receiver Phone:</b> {{shipment.destination.contact.phone }}</p>
                                        <p><b>To:</b>  {{shipment.destination.address.address_line1 }}
                                            - {{shipment.destination.address.locality }}</p>
                                        <p><b>Country code:</b>  {{shipment.destination.address.country_code }} </p>
                                        <p><b>Postal code:</b>  {{shipment.destination.address.postal_code }} </p>
                                    </div>
                                </div>
                            </div>
                            <div class="info-packet col-sm-4">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        Info Package
                                    </div>
                                    <div class="panel-body">
                                        <p><b>Ref:</b>  {{shipment.ref }}
                                        </p>  <p><b>Created at:</b>  {{shipment.created_at }}
                                        </p>
                                        <p><b>Height:</b>  {{shipment.package.dimensions.height }}
                                            (unit {{shipment.package.dimensions.unit}})
                                        </p>
                                        <p><b>Width:</b>  {{shipment.package.dimensions.width }}
                                            (unit {{shipment.package.dimensions.unit}})</p>
                                        <p><b>length:</b>  {{shipment.package.dimensions.length }}
                                            (unit {{shipment.package.dimensions.unit}})
                                        </p>
                                        <p><b>Weight:</b>  {{shipment.package.grossWeight.amount  }}
                                            (unit {{shipment.package.grossWeight.unit}})</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 info-cost">
                                <div class="alert alert-success" role="alert">
                                    Total: <br>
                                    - Ship: {{shipment.cost}} USD
                                </div>
                            </div>
                
                
                        </div>
                
                        <ng-template #not_fountShipment>
                            <div class="row">
                                <div class="col-sm-12 info-cost">
                                    <div class="alert   alert-danger" role="alert">
                                        Shipment Not fount
                                    </div>
                                </div>
                            </div>
                        </ng-template>
              </div>
          </div>
    
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->
 
 
 